Security

If the project cannot be accessed anonymously, the sonar.login and sonar.password properties are now required to run an analysis.

See the following pages for detailed documentation on their usage:

Upgrade the Motion Chart Plugin

If it's already installed, then the Motion Chart plugin must be upgraded to version 1.5.

The sonar.core.codeCoveragePlugin property is deprecated

The sonar.core.codeCoveragePlugin property is deprecated. Even if it's still supported, it should be replaced by the sonar.java.coveragePlugin property on Java projects. There are currently no new properties for other languages.

Note that the upgrade automatically converts the property when it's declared in General or Project Settings.